//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWColorButtonCtrl : public VWControl
		{
		public:
								VWColorButtonCtrl(TControlID id);
			virtual				~VWColorButtonCtrl();

			virtual bool		CreateControl(VWDialog* pDlg);

		// attributes
		public:
			RGBColor			GetColor() const;
			void				SetColor(const RGBColor& color);

		};
	}
}